Create a RICAL signer
Creates a RICAL signer.
- Only available in implementations using unmanaged (external) DTS root CA certificates.
- A maximum of five RICAL signers can be created per tenant.
Provide either caId or intermediateCaId.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>application/json- body
caId*stringInternal identifier of the DTS root CA certificate that will be used for signing the RICAL signer.
- Must be an unmanaged (external) DTS root CA certificate.
uuidintermediateCaId?stringInternal identifier of the DTS intermediate CA certificate that will be used for signing the RICAL signer.
uuidRICAL signer created
application/json- response
RICAL signer before a RICAL Signer Certificate has been uploaded. Includes the Certificate Signing Request (CSR).
id*stringEach RICAL signer will have a unique identifier which must be provided when using this RICAL signer to sign a RICAL.
uuidcsrPem*stringThe X.509 Certificate Signing Request (CSR) in PEM format. Use this CSR to generate a valid certificate, then update the RICAL signer with the resulting certificate.
caId?stringUnique identifier of the DTS root CA certificate used to sign the RICAL signer.
uuidintermediateCaId?stringUnique identifier of the DTS intermediate CA certificate, if applicable.
uuidactive*falseIndicates if the RICAL signer is active.
- Only active RICAL signers can be used to sign RICALs.
- RICAL signers are created as inactive by default, and cannot be activated until a RICAL Signer Certificate (PEM) has been uploaded.
falsecurl -X POST "https://example.com/v1/ecosystems/certificates/rical-signers" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1", "csrPem": "-----BEGIN CERTIFICATE REQUEST-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE REQUEST-----", "caId": "b0aae560-10e7-4247-8e96-7cdd3578a1e2", "intermediateCaId": "c1bbe671-21f8-5358-9537-eed4669b43f3", "active": false}How would you rate this page?